Skip to content

Get Request Status

GET
/api/v1/migrations/requests/{request_id}

Poll for migration execution status and results.

request_id
required
Request Id
string format: uuid

Successful Response

MigrationStatusResponse

Response for GET /execute/{request_id}.

object
success
required
Success

Whether the request succeeded.

boolean
data
Any of:
MigrationRequestStatus
object
request_id
required
Request Id

Unique identifier for this migration execution request.

string format: uuid
status
required
Status

Current execution state. ‘pending’ = queued, ‘executing’ = in progress, ‘completed’ = finished successfully, ‘failed’ = encountered an error.

string
progress
Any of:
string
result
Any of:
object
key
additional properties
any
error
Any of:
string
created_at
required
Created At

Timestamp when the execution request was created.

string format: date-time
started_at
Any of:
string format: date-time
completed_at
Any of:
string format: date-time
error
Any of:
ErrorDetail
object
code
required
Code

Machine-readable error code (e.g., ‘NOT_FOUND’, ‘VALIDATION_ERROR’).

string
message
required
Message

Human-readable error message describing what went wrong.

string
details
Any of:

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object